#!/usr/bin/env python

from setuptools import setup

version = "0.1"

setup(
    name = "tnine",
    version = version,
    description = "Cellphone-style Typing Decoder",
    long_description = "Encode and decode tnine typing strings to/from real "
                       "words - for example 'JAVA'=5282.",
    author = "Tim Hatch",
    author_email = "code@timhatch.com",
    url = "http://timhatch.com/projects/tnine/",
    download_url = "http://timhatch.com/projects/tnine/dist/tnine-%s.tar.gz" % version,
    license = "BSD",
    packages = ["tnine"],
    platforms = ["any"],
    classifiers = [
        "Development Status :: 3 - Alpha",
        "Intended Audience :: Developers",
        "Operating System :: OS Independent",
        "Programming Language :: Python",
        "License :: OSI Approved :: BSD License",
    ],
    test_suite = "tests",
)
