
lookup = {
    "1": ".@,?-!()/",
    "2": "ABC",
    "3": "DEF",
    "4": "GHI",
    "5": "JKL",
    "6": "MNO",
    "7": "PQRS",
    "8": "TUV",
    "9": "WXYZ",
    "0": " \n",
}

revlookup = {}

def rebuildlookup():
    revlookup.clear()
    for key in lookup:
        for n, letter in enumerate(lookup[key]):
            revlookup[letter] = (key, n+1)
    for i in "1234567890":
        revlookup[i] = (i, 0) #0 short for mash
rebuildlookup()


def encode(letters):
    """
    Return the keypresses required to enter the desired string.  Returns only
    the numbers, ignoring multiple presses etc.
    """
    return "".join([revlookup[x][0] for x in letters])

def decode(letters):
    """
    #FIXME: Somehow read in a dictionary, maybe caching it.  Dunno yet.
    """
    raise NotImplementedError
